aboutsummaryrefslogtreecommitdiff
path: root/sci
diff options
context:
space:
mode:
authorrafael2k <rafael2k@370017ae-e619-0410-ac65-c121f96126d4>2007-09-25 05:53:10 +0000
committerrafael2k <rafael2k@370017ae-e619-0410-ac65-c121f96126d4>2007-09-25 05:53:10 +0000
commitd7140d6c272f092edb276ee4085de7edb03cbb01 (patch)
tree5a64469e4fbf19b736552f7bff467e08ff702ad0 /sci
parente8d053854e3962a2281f3f38d93dc3205451e03b (diff)
downloadslackbuilds-d7140d6c272f092edb276ee4085de7edb03cbb01.tar.gz
slackbuilds-d7140d6c272f092edb276ee4085de7edb03cbb01.tar.bz2
ghdl added
git-svn-id: svn+slack://slack.fluxo.info/var/svn/slackbuilds@1387 370017ae-e619-0410-ac65-c121f96126d4
Diffstat (limited to 'sci')
-rwxr-xr-xsci/electronics/ghdl/ghdl.SlackBuild147
1 files changed, 147 insertions, 0 deletions
diff --git a/sci/electronics/ghdl/ghdl.SlackBuild b/sci/electronics/ghdl/ghdl.SlackBuild
new file mode 100755
index 00000000..d6f373fe
--- /dev/null
+++ b/sci/electronics/ghdl/ghdl.SlackBuild
@@ -0,0 +1,147 @@
+#!/bin/bash
+#
+# ghdl.SlackBuild is free software; you can redistribute
+# it and/or modify it under the terms of the GNU General Public
+# License as published by the Free Software Foundation; either
+# version 2 of the License, or any later version.
+#
+# gtkwave.SlackBuild is distributed in the hope that it
+# will be useful, but WITHOUT ANY WARRANTY; without even the
+# implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR
+# PURPOSE. See the GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public
+# License along with this program; if not, write to the Free
+# Software Foundation, Inc., 59 Temple Place - Suite 330, Boston,
+# MA 02111-1307, USA
+#
+# SlackBuild for ghdl
+# http://ghdl.free.fr/
+#
+# Author: Rafael Diniz ( rafael at riseup d0t net )
+#
+
+# Look for slackbuildrc
+if [ -f ~/.slackbuildrc ]; then
+ source ~/.slackbuildrc
+elif [ -f /etc/slackbuildrc ]; then
+ source /etc/slackbuildrc
+fi
+
+# Set variables
+CWD="$(pwd)"
+SRC_NAME="ghdl"
+PKG_NAME="ghdl"
+ARCH=${ARCH:=i486}
+SRC_VERSION=${VERSION:=0.26}
+PKG_VERSION="$(echo "$SRC_VERSION" | tr '[[:blank:]-]' '_')"
+BUILD=${BUILD:=1rd}
+SRC_DIR=${SRC_DIR:=$CWD}/$PKG_NAME
+TMP=${TMP:=/tmp}
+PKG=${PKG:=$TMP/package-$PKG_NAME}
+REPOS=${REPOS:=$TMP}
+PREFIX=${PREFIX:=/usr}
+PKG_SRC="$TMP/$SRC_NAME-$SRC_VERSION-i686-pc-linux"
+CONF_OPTIONS=${CONF_OPTIONS:=}
+NUMJOBS=${NUMJOBS:=-j3}
+
+
+# Set error codes (used by createpkg)
+ERROR_WGET=31; ERROR_MAKE=32; ERROR_INSTALL=33
+ERROR_MD5=34; ERROR_CONF=35; ERROR_HELP=36
+ERROR_TAR=37; ERROR_MKPKG=38; ERROR_GPG=39
+ERROR_PATCH=40; ERROR_VCS=41; ERROR_MKDIR=42
+
+# Clean up any leftovers of previous builds
+rm -rf "$PKG_SRC" 2> /dev/null
+rm -rf "$PKG" 2> /dev/null
+
+# Create directories if necessary
+mkdir -p "$SRC_DIR" || exit $ERROR_MKDIR
+mkdir -p "$PKG" || exit $ERROR_MKDIR
+mkdir -p "$REPOS" || exit $ERROR_MKDIR
+
+# Dowload source if necessary
+SRC="$SRC_NAME-$SRC_VERSION-i686-pc-linux.tar"
+URL="http://ghdl.free.fr/$SRC"
+
+if [ ! -s "$SRC_DIR/$SRC" ]; then
+ wget "$URL" -O "$SRC_DIR/$SRC" || exit $ERROR_WGET
+fi
+
+
+
+# Untar
+cd "$TMP"
+tar --no-same-owner --no-same-permissions -xvf "$SRC_DIR/$SRC" || exit $ERROR_TAR
+cd "$PKG_SRC"
+
+# untar the binaries
+tar --no-same-owner --no-same-permissions -C $PKG -jxvf ghdl-0.26-i686-pc-linux.tar.bz2
+
+# Strip binaries
+( cd "$PKG"
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null
+)
+
+
+
+# Compress and link manpages
+if [ -d "$PKG/$PREFIX/man" ]; then
+ ( cd "$PKG/$PREFIX/man"
+ for manpagedir in $(find . -type d -name "man*") ; do
+ ( cd $manpagedir
+ for eachpage in $( find . -type l -maxdepth 1) ; do
+ ln -s $( readlink $eachpage ).gz $eachpage.gz
+ rm $eachpage
+ done
+ gzip -9 *.?
+ )
+ done
+ )
+fi
+
+# Install documentation
+DOCS="COPYING INSTALL"
+mkdir -p "$PKG/usr/doc/$PKG_NAME-$PKG_VERSION" || exit $ERROR_MKDIR
+cp -a $DOCS "$PKG/usr/doc/$PKG_NAME-$PKG_VERSION"
+
+# Add package description (slack-desc)
+mkdir -p "$PKG/install" || exit $ERROR_MKDIR
+cat << EODESC > "$PKG/install/slack-desc"
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler-------------------------------------------------------|
+ghdl: Ghdl
+ghdl:
+ghdl: GHDL is a complete VHDL simulator, using the GCC technology.
+ghdl: GHDL implements the VHDL language according to the IEEE 1076-1987 or
+ghdl: the IEEE 1076-1993 standard. GHDL compiles VHDL files and creates a
+ghdl: binary which simulates (or executes) your design.
+ghdl:
+ghdl:
+ghdl:
+ghdl: http://ghdl.free.fr/
+ghdl:
+EODESC
+
+# make the symlinks
+cd "$PKG"
+mkdir usr/bin
+ln -s usr/local/bin/ghdl usr/bin/ghdl
+
+# Build the package
+makepkg -l y -c n "$REPOS/$PKG_NAME-$PKG_VERSION-$ARCH-$BUILD.tgz" || exit $ERROR_MKPKG
+
+# Delete source and build directories if requested
+if [ "$CLEANUP" == "yes" ]; then
+ rm -rf "$PKG_SRC" "$PKG"
+fi